package request

import "eta/eta_api/models/data_manage"

type AddBalanceTableChartEdbItem struct {
	DateSequenceStr string  `description:"日期序列"`
	DataSequenceStr string  `description:"数据序列"`
	EdbName         string  `description:"指标名称"`
	Unit            string  `description:"指标单位"`
	MaxData         float64 `description:"上限"`
	MinData         float64 `description:"下限"`
	IsOrder         bool    `description:"true:正序,false:逆序"`
	IsAxis          int     `description:"true:左轴,false:右轴"`
	EdbInfoType     int     `description:"true:标准指标,false:领先指标"`
	LeadValue       int     `description:"领先值"`
	LeadUnit        string  `description:"领先单位"`
	FromTag         string  `description:"标签"`
	ExcelChartEdbId int

	/*	ChartStyle        string  `description:"图表类型"`
		ChartColor        string  `description:"颜色"`
		PredictChartColor string  `description:"预测数据的颜色"`
		ChartWidth        float64 `description:"线条大小"`
		Source            int     `description:"1：ETA图库；2：商品价格曲线"`
		EdbAliasName      string  `description:"中文别名"`
		IsConvert         int     `description:"是否数据转换 0不转 1转"`
		ConvertType       int     `description:"数据转换类型 1乘 2除 3对数"`
		ConvertValue      float64 `description:"数据转换值"`
		ConvertUnit       string  `description:"数据转换单位"`
		ConvertEnUnit     string  `description:"数据转换单位"`*/
}

type AddBalanceTableChartReq struct {
	ExcelInfoId int `description:"表格ID"`
	ChartInfoId int `description:"图表id,新增时传0"`
	//ChartClassifyId int    `description:"分类id"`
	ChartName string `description:"图表名称"`
	ChartType int    `description:"生成样式:1:曲线图,2:季节性图,3:面积图，4：柱状图，5：散点图，6：组合图，7：柱方图"`
	//DateType        int    `description:"日期类型:1:00年至今,2:10年至今,3:15年至今，4：年初至今，5:自定义时间,6:起始日期至今"`
	//StartDate       string `description:"自定义开始日期"`
	//EndDate         string `description:"自定义结束日期"`
	Calendar   string `description:"公历/农历"`
	LeftMin    string `description:"图表左侧最小值"`
	LeftMax    string `description:"图表左侧最大值"`
	RightMin   string `description:"图表右侧最小值"`
	RightMax   string `description:"图表右侧最大值"`
	Right2Min  string `description:"图表右侧2最小值"`
	Right2Max  string `description:"图表右侧2最大值"`
	MinMaxSave int    `description:"是否手动保存过上下限：0-否；1-是"`
	//BarChartInfo         BarChartInfoReq         `description:"柱方图的配置"`
	//CorrelationChartInfo CorrelationChartInfoReq `description:"相关性图表配置"`
	ExtraConfig       string                      `description:"图表额外配置信息,json字符串"`
	ChartImage        string                      `description:"封面图" json:"-"`
	SeasonExtraConfig data_manage.SeasonExtraItem `description:"季节性图表中的配置,json数据"`
	//StartYear         int                         `description:"当选择的日期类型为最近N年类型时，即date_type=20, 用start_year表示N"`
	//ChartThemeId int    `description:"图表应用主题ID"`
	SourcesFrom string `description:"图表来源"`
	//Instructions      string          `description:"图表说明"`
	//MarkersLines      string          `description:"标识线"`
	//MarkersAreas      string          `description:"标识区"`
	//Unit              string          `description:"中文单位名称"`
	//UnitEn            string          `description:"英文单位名称"`
	ChartEdbInfoList []AddBalanceTableChartEdbItem
}

type BalanceSeasonChartLegendPreviewReq struct {
	Calendar          string                      `description:"公历/农历"`
	SeasonExtraConfig data_manage.SeasonExtraItem `description:"季节性图表中的配置,json数据"`
	DataArr           []string
	DateArr           []string
}

// AddBalanceStaticExcelInfoReq 添加平衡表静态表
type AddBalanceStaticExcelInfoReq struct {
	ExcelInfoId int    `description:"ETA表格ID"`
	VersionName string `description:"静态表版本名称"`
}
