package request

// BusinessDataListReq 指标列表筛选
type BusinessDataListReq struct {
	PageSize     int    `form:"PageSize"`
	CurrentIndex int    `form:"CurrentIndex"`
	Frequency    string `form:"Frequency" description:"频度"`
	Source       int    `form:"Source" description:"来源id"`
	Keywords     string `form:"Keywords" description:"指标ID/指标名称"`
	ListAll      bool   `form:"ListAll" description:"列表全选"`
	SortField    int    `form:"SortField" description:"排序字段: 0-默认; 1-开始时间; 2-最新时间; 3-更新时间"`
	SortRule     int    `form:"SortRule" description:"排序方式: 0-默认; 1-正序; 2-倒序"`
}

// BusinessDataBatchAddCheckReq 外部（商家）指标批量添加校验
type BusinessDataBatchAddCheckReq struct {
	BusinessDataListReq
	IndexCodes []string `form:"IndexCodes" description:"全选为false时, 该数组为选中; 全选为true时, 该数组为不选的指标"`
}

// BusinessDataDataListReq 指标数据列表筛选
type BusinessDataDataListReq struct {
	PageSize     int    `form:"PageSize"`
	CurrentIndex int    `form:"CurrentIndex"`
	IndexCode    string `form:"IndexCode" description:"指标编码"`
}
